# Uses of Enum Class
org.eclipse.emf.cdo.lm.reviews.CommentStatus

Packages that use CommentStatus
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl

## Uses of CommentStatus in org.eclipse.emf.cdo.lm.reviews

Fields in org.eclipse.emf.cdo.lm.reviews with type parameters of type CommentStatus
Modifier and Type
Field
Description
`static final List<CommentStatus>`
CommentStatus.`VALUES`
A public read-only list of all the 'Comment Status' enumerators.
Methods in org.eclipse.emf.cdo.lm.reviews that return CommentStatus
Modifier and Type
Method
Description
`static CommentStatus`
CommentStatus.`get(int value)`
Returns the 'Comment Status' literal with the specified integer value.
`static CommentStatus`
CommentStatus.`get(String literal)`
Returns the 'Comment Status' literal with the specified literal value.
`static CommentStatus`
CommentStatus.`getByName(String name)`
Returns the 'Comment Status' literal with the specified name.
`CommentStatus`
Comment.`getStatus()`
Returns the value of the 'Status' attribute.
`static CommentStatus`
CommentStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CommentStatus[]`
CommentStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.lm.reviews with parameters of type CommentStatus
Modifier and Type
Method
Description
`void`
Comment.`setStatus(CommentStatus value)`
Sets the value of the '`Status`' attribute.

## Uses of CommentStatus in org.eclipse.emf.cdo.lm.reviews.impl

Fields in org.eclipse.emf.cdo.lm.reviews.impl declared as CommentStatus
Modifier and Type
Field
Description
`protected static final CommentStatus`
CommentImpl.`STATUS_EDEFAULT`
The default value of the '`Status`' attribute.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return CommentStatus
Modifier and Type
Method
Description
`CommentStatus`
ReviewsFactoryImpl.`createCommentStatusFromString(EDataType eDataType, String initialValue)`
`CommentStatus`
CommentImpl.`getStatus()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl with parameters of type CommentStatus
Modifier and Type
Method
Description
`void`
CommentImpl.`setStatus(CommentStatus newStatus)`